Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033544
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[QA] Automation - Generalminoralways2016-07-26 17:202021-05-05 10:31
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Summary

0033544: Fix APRM JUnit tests

DescriptionAPRM JUnit tests reference old sampledata IDs and they aren't running in CI.
- Move them to src-test/src/org/openbravo/advpaymentmngt/test folder.
- Update IDs.
- Add them to AllAntTaskTests.
Steps To Reproduce*
TagsNo tags attached.
Attached Filesdiff file icon 33544.diff [^] (407,513 bytes) 2016-07-26 18:35

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033554 scheduledjarmendariz Openbravo ERP some test cases not executed in CI 

-  Notes
(0088731)
hgbot (developer)
2016-08-02 10:57

Repository: erp/devel/pi
Changeset: c81fc9ae7a2700d56d782147e3c0cc313af485a6
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jul 26 13:54:18 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c81fc9ae7a2700d56d782147e3c0cc313af485a6 [^]

Related to issue 33544: Move APRM JUnit tests to src-test project

---
A src-test/src/org/openbravo/advpaymentmngt/test/AllTests.java
A src-test/src/org/openbravo/advpaymentmngt/test/FinancialAccountTest.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentMethodTest.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_01.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_02.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_03.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_04.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_05.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_06.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_07.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_08.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_09.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_10.java
A src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_11.java
A src-test/src/org/openbravo/advpaymentmngt/test/TestUtility.java
A src-test/src/org/openbravo/advpaymentmngt/test/Value.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/AllTests.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/FinancialAccountTest.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentMethodTest.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_01.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_02.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_03.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_04.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_05.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_06.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_07.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_08.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_09.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_10.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/PaymentTest_11.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/TestUtility.java
R modules/org.openbravo.advpaymentmngt/src-test/org/openbravo/advpaymentmngt/test/draft/Value.java
---
(0088732)
hgbot (developer)
2016-08-02 10:57

Repository: erp/devel/pi
Changeset: f5aec4626edbcc3468b27032d4abe9d62dd91d1d
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Aug 01 15:10:18 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f5aec4626edbcc3468b27032d4abe9d62dd91d1d [^]

Fixes issue 33544: Update old sampledata IDs with new IDs in APRM JUnit tests

---
M src-test/src/org/openbravo/advpaymentmngt/test/FinancialAccountTest.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentMethodTest.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_01.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_02.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_03.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_04.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_05.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_06.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_07.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_08.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_09.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_10.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_11.java
M src-test/src/org/openbravo/advpaymentmngt/test/TestUtility.java
M src-test/src/org/openbravo/advpaymentmngt/test/Value.java
M src-test/src/org/openbravo/test/AllAntTaskTests.java
R src-test/src/org/openbravo/advpaymentmngt/test/AllTests.java
---
(0088733)
hgbot (developer)
2016-08-02 10:57

Repository: erp/devel/pi
Changeset: 08d96f71add2058efe103b72c1a7d48cbae6aa0c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 02 10:20:02 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/08d96f71add2058efe103b72c1a7d48cbae6aa0c [^]

Related to issue 33544: Comment some asserts to avoid errors in three tests

---
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_07.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_09.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_10.java
---
(0088825)
hgbot (developer)
2016-08-05 09:15

Repository: erp/devel/pi
Changeset: 57f68b22dd06d3656bb94b27508839eceac91e62
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Aug 05 09:14:45 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/57f68b22dd06d3656bb94b27508839eceac91e62 [^]

Related to issue 33544: Remove APRM tests from AllAntTaskTests until are stable

---
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_07.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_09.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_10.java
M src-test/src/org/openbravo/test/AllAntTaskTests.java
---
(0089032)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089033)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089034)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0089040)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test
(0098669)
hgbot (developer)
2017-08-28 19:54

Repository: erp/devel/pi
Changeset: ddd093e84273db61b5f25f183768b86cdba71c95
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Mon Aug 28 19:53:44 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ddd093e84273db61b5f25f183768b86cdba71c95 [^]

Related to issue 33544. Remove obsolete module+junit specific build.xml file

The test-classes have been moved to normal pi repository and each test can
be run alone by using the normal ant run.test -Dtest=<javapackage call>

The 'aprm.run.all.tests' target is obsolete and already broken as the module
specific AllTests java has been removed.

This removes the special build.xml from the module folder as it does no longer
contain any useful parts.

---
R modules/org.openbravo.advpaymentmngt/build.xml
---
(0099334)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-07-26 17:20 aferraz New Issue
2016-07-26 17:20 aferraz Assigned To => Triage Finance
2016-07-26 18:35 aferraz File Added: 33544.diff
2016-08-02 10:57 hgbot Checkin
2016-08-02 10:57 hgbot Note Added: 0088731
2016-08-02 10:57 hgbot Checkin
2016-08-02 10:57 hgbot Note Added: 0088732
2016-08-02 10:57 hgbot Status new => resolved
2016-08-02 10:57 hgbot Resolution open => fixed
2016-08-02 10:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f5aec4626edbcc3468b27032d4abe9d62dd91d1d [^]
2016-08-02 10:57 hgbot Checkin
2016-08-02 10:57 hgbot Note Added: 0088733
2016-08-02 10:58 aferraz Assigned To Triage Finance => aferraz
2016-08-02 11:45 aferraz Review Assigned To => aferraz
2016-08-02 11:45 aferraz Status resolved => closed
2016-08-02 11:45 aferraz Fixed in Version => Pi
2016-08-05 09:15 hgbot Checkin
2016-08-05 09:15 hgbot Note Added: 0088825
2016-08-05 09:16 aferraz Status closed => new
2016-08-05 09:16 aferraz Resolution fixed => open
2016-08-05 09:16 aferraz Fixed in Version Pi =>
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089032
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089033
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089034
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089040
2016-09-08 13:18 alostale Relationship added related to 0033554
2016-10-03 11:16 aferraz Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/f5aec4626edbcc3468b27032d4abe9d62dd91d1d [^] =>
2017-08-28 19:54 hgbot Checkin
2017-08-28 19:54 hgbot Note Added: 0098669
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099334
2021-05-05 10:31 shuehner Issue Monitored: shuehner


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker